---
title: Get Vectorize Index Info
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Vectorize](https://developers.cloudflare.com/api/go/resources/vectorize)

[Indexes](https://developers.cloudflare.com/api/go/resources/vectorize/subresources/indexes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Vectorize Index Info

client.Vectorize.Indexes.Info(ctx, indexName, query) (\*[IndexInfoResponse](<https://developers.cloudflare.com/api/go/resources/vectorize#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/vectorize/v2/indexes/{index\_name}/info

Get information about a vectorize index.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Vectorize Write``Vectorize Read`

##### ParametersExpand Collapse

indexName string

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(params)%20default%20%3E%20(param)%20index_name%20%3E%20(schema)>)

<details>

<summary>

query IndexInfoParams

</summary>

AccountID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20info%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type IndexInfoResponse struct{…}

</summary>

Dimensions int64Optional

Specifies the number of dimensions for the index

maximum1536

minimum1

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)%20%3E%20(property)%20dimensions">Link to this property</a>

ProcessedUpToDatetime TimeOptional

Specifies the timestamp the last mutation batch was processed as an ISO8601 string.

formatdate-time

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)%20%3E%20(property)%20processedUpToDatetime">Link to this property</a>

ProcessedUpToMutation stringOptional

The unique identifier for the async mutation operation containing the changeset.

maxLength36

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)%20%3E%20(property)%20processedUpToMutation">Link to this property</a>

VectorCount int64Optional

Specifies the number of vectors present in the index

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)%20%3E%20(property)%20vectorCount">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexInfoResponse%20%3E%20(schema)>)

### Get Vectorize Index Info

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/vectorize"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Vectorize.Indexes.Info(
    context.TODO(),
    "example-index",
    vectorize.IndexInfoParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Dimensions)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
```